Bug 772075 (CVE-2012-0029) - CVE-2012-0029 qemu: e1000: process_tx_desc legacy mode packets heap overflow
Summary: CVE-2012-0029 qemu: e1000: process_tx_desc legacy mode packets heap overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0029
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 772079 772080 772081 772086 783984 786862 786941 825895
Blocks: 772077 798168
TreeView+ depends on / blocked
 
Reported: 2012-01-05 21:30 UTC by Petr Matousek
Modified: 2019-09-29 12:49 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-18 11:58:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0050 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2012-01-23 23:57:03 UTC
Red Hat Product Errata RHSA-2012:0051 normal SHIPPED_LIVE Important: kvm security update 2012-01-23 23:56:42 UTC
Red Hat Product Errata RHSA-2012:0109 normal SHIPPED_LIVE Important: rhev-hypervisor6 security and bug fix update 2012-02-15 21:09:24 UTC
Red Hat Product Errata RHSA-2012:0168 normal SHIPPED_LIVE Important: rhev-hypervisor5 security and bug fix update 2012-02-21 10:01:32 UTC
Red Hat Product Errata RHSA-2012:0370 normal SHIPPED_LIVE Important: xen security and bug fix update 2012-03-07 19:35:47 UTC

Description Petr Matousek 2012-01-05 21:30:00 UTC
There isn't proper checking in legacy mode packets such that if two large
packets arrive back to back without the EOP flag set in the first packet, you
can easily overrun your buffer.

Because data is written to the packets after the packet is processed, this
could allow a heap overflow which is exploitable.

Acknowledgements:

Red Hat would like to thank Nicolae Mogoreanu for reporting this issue.

Comment 4 Petr Matousek 2012-01-23 12:36:06 UTC
This issue did affect the versions of xen package as shipped with Red Hat
Enterprise Linux 5.

This issue did affect the versions of kvm package as shipped with Red Hat
Enterprise Linux 5.

This issue did affect the versions of qemu-kvm package as shipped with Red Hat
Enterprise Linux 6.

Comment 5 Petr Matousek 2012-01-23 12:51:55 UTC
Created qemu tracking bugs for this issue

Affects: fedora-all [bug 783984]

Comment 6 errata-xmlrpc 2012-01-23 18:58:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0051 https://rhn.redhat.com/errata/RHSA-2012-0051.html

Comment 7 errata-xmlrpc 2012-01-23 19:01:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0050 https://rhn.redhat.com/errata/RHSA-2012-0050.html

Comment 8 Vincent Danen 2012-01-23 20:41:20 UTC
Statement:

(none)

Comment 10 errata-xmlrpc 2012-02-15 16:09:59 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2012:0109 https://rhn.redhat.com/errata/RHSA-2012-0109.html

Comment 11 errata-xmlrpc 2012-02-21 05:05:57 UTC
This issue has been addressed in following products:

  RHEV-H, V2V and Agents for RHEL-5

Via RHSA-2012:0168 https://rhn.redhat.com/errata/RHSA-2012-0168.html

Comment 12 errata-xmlrpc 2012-03-07 14:37:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0370 https://rhn.redhat.com/errata/RHSA-2012-0370.html

Comment 13 Fedora Update System 2012-06-07 22:57:34 UTC
qemu-0.15.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-06-07 23:07:02 UTC
qemu-0.14.0-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.